Bug 607875 - Review Request: perl-Net-IMAP-Simple-SSL - Simple IMAP account handling with SSL
Summary: Review Request: perl-Net-IMAP-Simple-SSL - Simple IMAP account handling with SSL
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Mark Chappell
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On: 607876
Blocks: 607873
TreeView+ depends on / blocked
 
Reported: 2010-06-25 04:22 UTC by Jeroen van Meeuwen
Modified: 2011-06-21 17:14 UTC (History)
3 users (show)

Fixed In Version: perl-Net-IMAP-Simple-SSL-1.3-2.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-20 22:44:27 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tremble: fedora-review+
tcallawa: fedora-cvs+


Attachments (Terms of Use)

Comment 1 Mark Chappell 2010-06-25 11:43:08 UTC
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format
%{name}.spec.
 [x] Package meets the Packaging Guidelines including the Perl specific items
   [x] Versioned MODULE_COMPAT_ Requires 
   [x] Non-Versioned CPAN URL tag 
 [x] Package successfully compiles and builds into binary rpms on at least one
supported architecture.
     Tested on: epel-5-i386 in mock
 [!] Rpmlint output:

perl-Net-IMAP-Simple-SSL.noarch: E: description-line-too-long Perl extension for simple IMAP account handling, mostly compatible with Net::POP3.
perl-Net-IMAP-Simple-SSL.src: E: description-line-too-long Perl extension for simple IMAP account handling, mostly compatible with Net::POP3.
2 packages and 0 specfiles checked; 2 errors, 0 warnings.

 [x] Package is not relocatable.
 [x] Buildroot is correct
     Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 [x] Package is licensed with an open-source compatible license and meets other
legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license. 
     License type: GPL+ or Artistic
 [-] If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing the text of the license(s) for the
package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package matches the upstream source, as provided
in the spec URL.
     SRPM : 86f5e996ff9adadbc849aadc351eca81
     Downloaded : 86f5e996ff9adadbc849aadc351eca81
 [x] Package is not known to require ExcludeArch
 [x] All build dependencies are listed in BuildRequires, except for any that
are listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -fR $RPM_BUILD_ROOT.
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [x] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -static subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [x] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI
application.
 [x] Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===
 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains
translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested locally with local copy of perl-Net-IMAP-Simple
 [x] Package should compile and build into binary rpms on all supported
architectures.
     Tested locally with local copy of perl-Net-IMAP-Simple
 [x] Package functions as described.
 [x] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [-] File based requires are sane.
 [x] %check is present and the tests pass if appropriate

=== Comments ===

I don't consider the RPM Lint errors to be a blocker, however it would be nice to have these fixed on import.  Provisionally APPROVED pending https://bugzilla.redhat.com/show_bug.cgi?id=607876 will set the flag once perl-Net-IMAP-Simple's tests are fixed (extra BRs needed)

Comment 3 Jeroen van Meeuwen 2010-07-10 07:49:08 UTC
New Package CVS Request
=======================
Package Name: perl-Net-IMAP-Simple-SSL
Short Description: Simple IMAP account handling with SSL
Owners: kanarip
Branches: EL-4 EL-5 F-12 F-13 devel
InitialCC:

Comment 4 Kevin Fenzi 2010-07-12 17:21:46 UTC
CVS done (by process-cvs-requests.py).

Comment 5 Kevin Fenzi 2010-07-12 17:22:33 UTC
You may also want to consider a EL-6 branch. ;)

Comment 6 Jeroen van Meeuwen 2010-07-13 11:33:45 UTC
(In reply to comment #5)
> You may also want to consider a EL-6 branch. ;)    

Euh, yes, I forgot that one, sorry for the inconvenience and thank you!

Package Change Request
======================
Package Name: perl-Net-IMAP-Simple-SSL
New Branches: EL-6
Owners: kanarip
InitialCC:

Comment 7 Tom "spot" Callaway 2010-07-13 15:39:58 UTC
CVS done (by process-cvs-requests.py).

Comment 8 Fedora Update System 2010-07-17 15:00:54 UTC
perl-Net-IMAP-Simple-SSL-1.3-2.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/perl-Net-IMAP-Simple-SSL-1.3-2.el5

Comment 9 Fedora Update System 2010-07-17 15:01:02 UTC
perl-Net-IMAP-Simple-SSL-1.3-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/perl-Net-IMAP-Simple-SSL-1.3-2.fc12

Comment 10 Fedora Update System 2010-07-17 15:01:10 UTC
perl-Net-IMAP-Simple-SSL-1.3-2.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/perl-Net-IMAP-Simple-SSL-1.3-2.fc13

Comment 11 Fedora Update System 2010-07-20 22:44:14 UTC
perl-Net-IMAP-Simple-SSL-1.3-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2011-06-21 17:14:53 UTC
perl-Net-IMAP-Simple-SSL-1.3-2.el5 has been pushed to the Fedora EPEL 5 stable repository.


Note You need to log in before you can comment on or make changes to this bug.